class Ball {
  float dx,dy,x,y,r;
  public Ball (float x, float y, float r) {
    this.x = x;
    this.y = y;
    this.r = r;
    dx = random(-5,5);
    dy = random(-5,5);
  }
  
  void move () {
    x += dx;
    y += dy;
    if (x+r>width) {
      x = width-r;
      dx *= -1;
    } else if (x-r<0) {
      x = r;
      dx *= -1;
    }
    if (y+r>height) {
      y = height-r;
      dy *= -1;
    } else if (y-r<0) {
      y = r;
      dy *= -1;
    }
  }
  
  void plot () {
    ellipse(x,y,2*r,2*r);
  }
}

// Objekte deklarieren
Ball b1, b2;

void setup () {
  size(800,800);
  // Objekte initialisieren
  b1 = new Ball (200,200,100);
  b2 = new Ball (200,200,100);
}

void draw () {
  background(0);
  
  // bewege und zeichne b1
  b1.move();
  b1.plot();
  
  // bewege ud zeichne b2
  b2.move();
  b2.plot();
}